Skip to content
ShopentlyLearn

Update a product

Change existing products, prices and publication data.

PATCH/api/v1/products/{product_id}

cURL request

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request PATCH \
  --url https://shop.onshopently.com/api/v1/products/example \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: example-update_product_api_v1_products__product_id__patch' \
  --header 'Content-Type: application/json' \
  --data-raw '{"expected_version":1,"sku":"example"}'

Response

{
  "data": {
    "deleted": false,
    "id": "example",
    "version": 1
  },
  "meta": {
    "request_id": "example"
  }
}

Required permissions

Authentication
Access token
Available from
STANDARD
Key permission
Edit productscatalog.product:update

When you also update variants

If you send the variant_value_ids field, add to the key:

  • Create variant combinationscatalog.product_variant:create
  • Edit variant combinationscatalog.product_variant:update
  • Delete variant combinationscatalog.product_variant:delete

If you send the variants_enabled field, add to the key:

  • Edit variant combinationscatalog.product_variant:update